Skip to main content
GET
/
orgs
/
{organization}
/
servers
/
{server}
/
network
Get server network
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/network",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": [
    {
      "id": "<string>",
      "type": "servers",
      "links": {
        "self": {
          "href": "<string>",
          "rel": "<string>",
          "describedby": "<string>",
          "title": "<string>",
          "type": "<string>",
          "hreflang": "<string>",
          "meta": {}
        }
      },
      "attributes": {
        "id": 123,
        "credential_id": 123,
        "name": "<string>",
        "slug": "<string>",
        "type": "<string>",
        "ubuntu_version": "<string>",
        "ssh_port": 123,
        "provider": "<string>",
        "identifier": "<string>",
        "size": "<string>",
        "region": "<string>",
        "php_version": "<string>",
        "php_cli_version": "<string>",
        "opcache_status": "app",
        "database_type": "<string>",
        "db_status": "<string>",
        "redis_status": "<string>",
        "ip_address": "<string>",
        "private_ip_address": "<string>",
        "revoked": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "connection_status": "<string>",
        "timezone": "<string>",
        "local_public_key": "<string>",
        "is_ready": true
      },
      "relationships": {
        "tags": {
          "data": [
            {
              "type": "tags",
              "id": "<string>"
            }
          ]
        }
      }
    }
  ],
  "included": [
    {
      "id": "<string>",
      "type": "tags",
      "attributes": {
        "name": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

The organization slug

server
integer
required

The server ID

Response

Array of ServerResource

data
ServerResource · object[]
required
included
TagResource · object[]